Debian Bug report logs - #435661
No user control over adding the 'flickrfs' tag

version graph

Package: flickrfs; Maintainer for flickrfs is Varun Hiremath <varun@debian.org>; Source for flickrfs is src:flickrfs.

Reported by: Magnus Therning <magnus@therning.org>

Date: Thu, 2 Aug 2007 12:15:04 UTC

Severity: normal

Tags: patch

Found in version 1.3.9.1-4mt

Fixed in version flickrfs/1.3.9.1-5

Done: Varun Hiremath <varunhiremath@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Varun Hiremath <varunhiremath@gmail.com>:
Bug#435661; Package flickrfs. Full text and rfc822 format available.

Acknowledgement sent to Magnus Therning <magnus@therning.org>:
New Bug report received and forwarded. Copy sent to Varun Hiremath <varunhiremath@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Magnus Therning <magnus@therning.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: No user control over adding the 'flickrfs' tag
Date: Thu, 02 Aug 2007 13:09:20 +0100
Package: flickrfs
Version: 1.3.9.1-4mt
Severity: normal
Tags: patch

Flickrfs will add the tag 'flickrfs' to all pictures the user uploads
and there is no way to control this behaviour.  The patch below makes an
attempt at fixing that.

I'm running flickrfs with this patch applied hence the weird version
number of my Debian package.  It seems to work as intended.

Index: flickrfs-1.3.9.1/flickrfs/flickrfs.py
===================================================================
--- flickrfs-1.3.9.1.orig/flickrfs/flickrfs.py	2007-08-02 09:46:45.000000000 +0100
+++ flickrfs-1.3.9.1/flickrfs/flickrfs.py	2007-08-02 09:50:16.000000000 +0100
@@ -56,6 +56,7 @@
   fconfig.write("image.size:\n")
   fconfig.write("sets.sync.int:300\n")
   fconfig.write("stream.sync.int:300\n")
+  fconfig.write("add.default.tag:yes\n")
   fconfig.close()
 
 # Set up logging
@@ -88,6 +89,12 @@
   browserName = cp.get('configuration', 'browser')
 except:
   pass
+try:
+  add_default_tag = True
+  if cp.get('configuration', 'add.default.tag').lower() == 'no':
+    add_default_tag = False
+except:
+  pass
 
 # Retrive the resize string.
 def GetResizeStr():
@@ -185,6 +192,7 @@
 
     # do stuff to set up your filesystem here, if you want
     self._mkdir("/")
+    #self._mkdir("/sets")
     self._mkdir("/tags")
     self._mkdir("/tags/personal")
     self._mkdir("/tags/public")
@@ -912,7 +920,8 @@
 
   def handleUploadingImage(self, path, inode, taglist):
     tags = [ '"%s"'%(a,) for a in taglist]
-    tags.append('flickrfs')
+    if add_default_tag:
+      tags.append('flickrfs')
     taglist = ' '.join(tags)
     log.info('uploading %s with len %s' % 
              (path, self.imgCache.getBufLen(inode.photoId)))


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages flickrfs depends on:
ii  fuse-utils                  2.7.0-1      Filesystem in USErspace (utilities
ii  python                      2.4.4-6      An interactive high-level object-o
ii  python-central              0.5.14       register and build utility for Pyt
ii  python-fuse                 1:0.2-pre3-3 Python bindings for FUSE (Filesyst

Versions of packages flickrfs recommends:
ii  epiphany-browser [w 2.18.3-1mt           Intuitive GNOME web browser
ii  iceweasel [www-brow 2.0.0.5-2            lightweight web browser based on M
ii  imagemagick         7:6.2.4.5.dfsg1-1+b1 Image manipulation programs
ii  w3m [www-browser]   0.5.1-5.1+b1         WWW browsable pager with excellent

-- no debconf information



Information stored:
Bug#435661; Package flickrfs. Full text and rfc822 format available.

Acknowledgement sent to Varun Hiremath <varunhiremath@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 435661-quiet@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varunhiremath@gmail.com>
To: Magnus Therning <magnus@therning.org>, 435661-quiet@bugs.debian.org
Subject: Re: Bug#435661: No user control over adding the 'flickrfs' tag
Date: Fri, 3 Aug 2007 11:46:14 +0530
On Thu, 02 Aug, 2007 at 01:09:20PM +0100, Magnus Therning wrote:
> Package: flickrfs
> Version: 1.3.9.1-4mt
> Severity: normal
> Tags: patch
> 
> Flickrfs will add the tag 'flickrfs' to all pictures the user uploads
> and there is no way to control this behaviour.  The patch below makes an
> attempt at fixing that.
> 
> I'm running flickrfs with this patch applied hence the weird version
> number of my Debian package.  It seems to work as intended.

Thanks for the patch. I have uploaded it to the svn, and will be
included in the next upload.

Regards
Varun

-- 
Varun Hiremath
Undergraduate Student,
Aerospace Engineering Department,
Indian Institute of Technology Madras,
Chennai, India
---------------------------------------
Homepage : http://varun.travisbsd.org



Reply sent to Varun Hiremath <varunhiremath@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Magnus Therning <magnus@therning.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 435661-close@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varunhiremath@gmail.com>
To: 435661-close@bugs.debian.org
Subject: Bug#435661: fixed in flickrfs 1.3.9.1-5
Date: Fri, 03 Aug 2007 19:32:06 +0000
Source: flickrfs
Source-Version: 1.3.9.1-5

We believe that the bug you reported is fixed in the latest version of
flickrfs, which is due to be installed in the Debian FTP archive:

flickrfs_1.3.9.1-5.diff.gz
  to pool/main/f/flickrfs/flickrfs_1.3.9.1-5.diff.gz
flickrfs_1.3.9.1-5.dsc
  to pool/main/f/flickrfs/flickrfs_1.3.9.1-5.dsc
flickrfs_1.3.9.1-5_all.deb
  to pool/main/f/flickrfs/flickrfs_1.3.9.1-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Varun Hiremath <varunhiremath@gmail.com> (supplier of updated flickrfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 03 Aug 2007 11:39:25 +0530
Source: flickrfs
Binary: flickrfs
Architecture: source all
Version: 1.3.9.1-5
Distribution: unstable
Urgency: low
Maintainer: Varun Hiremath <varunhiremath@gmail.com>
Changed-By: Varun Hiremath <varunhiremath@gmail.com>
Description: 
 flickrfs   - virtual filesystem for flickr online photosharing service
Closes: 435661
Changes: 
 flickrfs (1.3.9.1-5) unstable; urgency=low
 .
   * Add a patch to control the 'flickrfs' tag added to the pictures
     uploaded, thanks to Magnus Therning (Closes: #435661)
Files: 
 744c2b951bd372fbf267c030ccfd225c 726 utils optional flickrfs_1.3.9.1-5.dsc
 6e87a053b0ba40ed3a13efee3245f101 9288 utils optional flickrfs_1.3.9.1-5.diff.gz
 064924363081dfe6f9b2e1ffd684c719 31674 utils optional flickrfs_1.3.9.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGs4DtfY3dicTPjsMRAq0kAKCX6aAw/8LwXZ7DJ0kPu/629kQLFgCeL8N8
k8m9PvgwHSqWb6OWSoqX9+E=
=pGdH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2007 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:02:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.